       dp = open("kpokn")
       for i = 1 to size(dp)
          getlast(dp)
          delete(dp)
       next
       ds = open("spsub")
       d = open("s60")
       dd = open("60")
       for i = 1 to size(d)
         if i = 1 then getfirst(d)
         if i != 1 then getnext(d)
          if substr('Db_счета'.d,1,2) = "41" & substr('Kr_счета'.d,1,2) = "60" | substr('Db_счета'.d,1,2) = "44" & substr('Kr_счета'.d,1,2) = "60" | substr('Db_счета'.d,1,2) = "10" & substr('Kr_счета'.d,1,2) = "60" then
            {
             kod = 'Kr_расчеты'.d
             if Find(dd,1,1,kod)=0 then
             if Find(ds,1,1,'Код'.dd) = 0 then
               nazv = 'Название'.ds
               inn = 'ИННП'.ds
               kod_okonh = ""
               kod_okpo = ""
               s = num(str('Сумма'.d,10,2))
               nds_s = num(str(s*1.20,10,2))
300            clearbuf(dp)
               'Номер_док.'.dp = 'Документ'.d
               'Дата'.dp = 'Дата'.d
               'Дата_опл.'.dp = 'Дата'.d
               'Дата_опр.'.dp = 'Дата'.d
               'Дата_пост.'.dp = 'Дата'.d
               'Название'.dp = nazv
               'ИННП'.dp = inn
               'КППП'.dp = substr(inn,1,4)+"01001"
               'Страна'.dp = "Россия"
               'Код_ОКОНХП'.dp = kod_okonh
               'Код_ОКПОП'.dp = kod_okpo
               'Сумма_18'.dp = 'Сумма'.d
               'НДС_18'.dp = nds_s - 'Сумма'.d
               'Всего'.dp = nds_s
               insert(dp)
             end if
             end if
              
          }

101    next
       close(d)
       close(dd)

      d = open("s62-1")
      dd = open("62-1")

       for i = 1 to size(d)
          if i = 1 then getfirst(d)
          if i != 1 then getnext(d)
          if trim('Db_счета'.d) = "62-1" & trim('Kr_счета'.d) = "62" then
          {
           kod = 'Db_расчеты'.d
           if Find(dd,1,1,kod) = 0 then
           if Find(ds,1,1,'Код'.dd) = 0 then
             nazv = 'Название'.ds
             inn = 'ИННП'.ds
             sum = 'Сумма'.d
             nds = sum * 0.20 / 1.20
             kod_okonh = ""
             kod_okpo = ""
             clearbuf(dp)
             'Номер_док.'.dp = 'Документ'.d
             'Дата'.dp = 'Дата'.d
             'Дата_опл.'.dp = 'Дата'.d
             'Дата_опр.'.dp = 'Дата'.d
             'Дата_пост.'.dp = 'Дата'.d
             'Название'.dp = nazv
             'ИННП'.dp = inn
             'КППП'.dp = substr(inn,1,4)+"01001"
             'Страна'.dp = "Россия"
             'Код_ОКОНХП'.dp = kod_okonh
             'Код_ОКПОП'.dp = kod_okpo
             'Сумма_18'.dp = 0.0
             'НДС_18'.dp = nds 
             'Всего'.dp = sum
          insert(dp)
        end if
        end if
          }
102    next
       close(d)
       close(ds)
       close(dd)
       close(dp)
       end
